ByteArrayDataInput
Date: 2016-05-24

com.google.common.io

## Interface ByteArrayDataInput

- All Superinterfaces:
    java.io.DataInput

      public interface ByteArrayDataInput
      extends java.io.DataInput

  An extension of `DataInput` for reading from in-memory byte arrays; its methods offer identical functionality but do not throw `IOException`.

  Warning: The caller is responsible for not attempting to read past the end of the array. If any method encounters the end of the array prematurely, it throws `IllegalStateException` to signify programmer error. This behavior is a technical violation of the supertype's contract, which specifies a checked exception.

  Since:
    1.0

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `readBoolean()`
    `byte` | `readByte()`
    `char` | `readChar()`
    `double` | `readDouble()`
    `float` | `readFloat()`
    `void` | `readFully(byte[] b)`
    `void` | `readFully(byte[] b, int off, int len)`
    `int` | `readInt()`
    `java.lang.String` | `readLine()`
    `long` | `readLong()`
    `short` | `readShort()`
    `int` | `readUnsignedByte()`
    `int` | `readUnsignedShort()`
    `java.lang.String` | `readUTF()`
    `int` | `skipBytes(int n)`

- - ### Method Detail

    - #### readFully

          void readFully(byte[] b)

      Specified by:
        `readFully` in interface `java.io.DataInput`

    - #### readFully

          void readFully(byte[] b,
                       int off,
                       int len)

      Specified by:
        `readFully` in interface `java.io.DataInput`

    - #### skipBytes

          int skipBytes(int n)

      Specified by:
        `skipBytes` in interface `java.io.DataInput`

    - #### readBoolean

          boolean readBoolean()

      Specified by:
        `readBoolean` in interface `java.io.DataInput`

    - #### readByte

          byte readByte()

      Specified by:
        `readByte` in interface `java.io.DataInput`

    - #### readUnsignedByte

          int readUnsignedByte()

      Specified by:
        `readUnsignedByte` in interface `java.io.DataInput`

    - #### readShort

          short readShort()

      Specified by:
        `readShort` in interface `java.io.DataInput`

    - #### readUnsignedShort

          int readUnsignedShort()

      Specified by:
        `readUnsignedShort` in interface `java.io.DataInput`

    - #### readChar

          char readChar()

      Specified by:
        `readChar` in interface `java.io.DataInput`

    - #### readInt

          int readInt()

      Specified by:
        `readInt` in interface `java.io.DataInput`

    - #### readLong

          long readLong()

      Specified by:
        `readLong` in interface `java.io.DataInput`

    - #### readFloat

          float readFloat()

      Specified by:
        `readFloat` in interface `java.io.DataInput`

    - #### readDouble

          double readDouble()

      Specified by:
        `readDouble` in interface `java.io.DataInput`

    - #### readLine

          java.lang.String readLine()

      Specified by:
        `readLine` in interface `java.io.DataInput`

    - #### readUTF

          java.lang.String readUTF()

      Specified by:
        `readUTF` in interface `java.io.DataInput`